org.eclnt.jsfserver.elements.componentnodes

## Class HTRADIOBUTTONNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.HTRADIOBUTTONNode

- All Implemented Interfaces:
    java.io.Serializable

      public class HTRADIOBUTTONNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTRADIOBUTTONNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HTRADIOBUTTONNode` | `bindComment(IDynamicContentBindingObject value)`
    `HTRADIOBUTTONNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `HTRADIOBUTTONNode` | `bindEnabled(IDynamicContentBindingObject value)`
    `HTRADIOBUTTONNode` | `bindGroup(IDynamicContentBindingObject value)`
    `HTRADIOBUTTONNode` | `bindRefvalue(IDynamicContentBindingObject value)`
    `HTRADIOBUTTONNode` | `bindRendered(IDynamicContentBindingObject value)`
    `HTRADIOBUTTONNode` | `bindStyle(IDynamicContentBindingObject value)`
    `HTRADIOBUTTONNode` | `bindStyleClass(IDynamicContentBindingObject value)`
    `HTRADIOBUTTONNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `HTRADIOBUTTONNode` | `bindText(IDynamicContentBindingObject value)`
    `HTRADIOBUTTONNode` | `bindValign(IDynamicContentBindingObject value)`
    `HTRADIOBUTTONNode` | `bindValue(IDynamicContentBindingObject value)`
    `HTRADIOBUTTONNode` | `bindWidth(IDynamicContentBindingObject value)`
    `HTRADIOBUTTONNode` | `setAttributemacro(java.lang.String value)`
    `HTRADIOBUTTONNode` | `setComment(java.lang.String value)`
    `HTRADIOBUTTONNode` | `setConfiginfo(java.lang.String value)`
    `HTRADIOBUTTONNode` | `setEnabled(boolean value)`
    `HTRADIOBUTTONNode` | `setEnabled(java.lang.String value)`
    `HTRADIOBUTTONNode` | `setGroup(java.lang.String value)`
    `HTRADIOBUTTONNode` | `setId(java.lang.String value)`
    `HTRADIOBUTTONNode` | `setReference(java.lang.String value)`
    `HTRADIOBUTTONNode` | `setRefvalue(java.lang.String value)`
    `HTRADIOBUTTONNode` | `setRendered(boolean value)`
    `HTRADIOBUTTONNode` | `setRendered(java.lang.String value)`
    `HTRADIOBUTTONNode` | `setStyle(java.lang.String value)`
    `HTRADIOBUTTONNode` | `setStyleClass(java.lang.String value)`
    `HTRADIOBUTTONNode` | `setStylevariant(java.lang.String value)`
    `HTRADIOBUTTONNode` | `setText(java.lang.String value)`
    `HTRADIOBUTTONNode` | `setValign(java.lang.String value)`
    `HTRADIOBUTTONNode` | `setValue(java.lang.String value)`
    `HTRADIOBUTTONNode` | `setWidth(int value)`
    `HTRADIOBUTTONNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HTRADIOBUTTONNode

          public HTRADIOBUTTONNode()

  - ### Method Detail

    - #### setId

          public HTRADIOBUTTONNode setId(java.lang.String value)

    - #### setAttributemacro

          public HTRADIOBUTTONNode setAttributemacro(java.lang.String value)

    - #### setComment

          public HTRADIOBUTTONNode setComment(java.lang.String value)

    - #### bindComment

          public HTRADIOBUTTONNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public HTRADIOBUTTONNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public HTRADIOBUTTONNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setEnabled

          public HTRADIOBUTTONNode setEnabled(java.lang.String value)

    - #### bindEnabled

          public HTRADIOBUTTONNode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public HTRADIOBUTTONNode setEnabled(boolean value)

    - #### setGroup

          public HTRADIOBUTTONNode setGroup(java.lang.String value)

    - #### bindGroup

          public HTRADIOBUTTONNode bindGroup(IDynamicContentBindingObject value)

    - #### setReference

          public HTRADIOBUTTONNode setReference(java.lang.String value)

    - #### setRefvalue

          public HTRADIOBUTTONNode setRefvalue(java.lang.String value)

    - #### bindRefvalue

          public HTRADIOBUTTONNode bindRefvalue(IDynamicContentBindingObject value)

    - #### setRendered

          public HTRADIOBUTTONNode setRendered(java.lang.String value)

    - #### bindRendered

          public HTRADIOBUTTONNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public HTRADIOBUTTONNode setRendered(boolean value)

    - #### setStyle

          public HTRADIOBUTTONNode setStyle(java.lang.String value)

    - #### bindStyle

          public HTRADIOBUTTONNode bindStyle(IDynamicContentBindingObject value)

    - #### setStyleClass

          public HTRADIOBUTTONNode setStyleClass(java.lang.String value)

    - #### bindStyleClass

          public HTRADIOBUTTONNode bindStyleClass(IDynamicContentBindingObject value)

    - #### setStylevariant

          public HTRADIOBUTTONNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public HTRADIOBUTTONNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public HTRADIOBUTTONNode setText(java.lang.String value)

    - #### bindText

          public HTRADIOBUTTONNode bindText(IDynamicContentBindingObject value)

    - #### setValign

          public HTRADIOBUTTONNode setValign(java.lang.String value)

    - #### bindValign

          public HTRADIOBUTTONNode bindValign(IDynamicContentBindingObject value)

    - #### setValue

          public HTRADIOBUTTONNode setValue(java.lang.String value)

    - #### bindValue

          public HTRADIOBUTTONNode bindValue(IDynamicContentBindingObject value)

    - #### setWidth

          public HTRADIOBUTTONNode setWidth(java.lang.String value)

    - #### bindWidth

          public HTRADIOBUTTONNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public HTRADIOBUTTONNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.